Name:           gobby05
Version:        0.4.94
Release:        5%{?dist}
Summary:        Collaborative editor supporting multiple documents

License:        GPLv2+
URL:            http://gobby.0x539.de/
Source0:        http://releases.0x539.de/gobby/gobby-%{version}.tar.gz
# Patches from debian
Patch0:         0001-create-directories-with-mode-0700-Debian-bug-636015.patch
# Seems to be upstreamed/reported upstream
# http://gobby.0x539.de/trac/ticket/585
Patch1:         0001-Fix-build-against-recent-gtkmm3-versions.patch
Patch2:         0002-code-util-gtk-compat.hpp-fix-render_icon-with-missin.patch
# Reported Upstream (2013-06-11): http://gobby.0x539.de/trac/ticket/604
Patch3:         gobby-0.4.94-includes.patch


BuildRequires:  gtkmm30-devel
BuildRequires:  gtksourceview3-devel
BuildRequires:  libinfinity-gtk-devel
BuildRequires:  libxml++-devel
BuildRequires:  intltool
# For desktop-file-install
BuildRequires: desktop-file-utils
# For gnome docs at /usr/share/gnome/help
BuildRequires:  gnome-doc-utils
# For /usr/bin/scrollkeeper-config (otherwise it failed on F20/Rawhide)
BuildRequires:  rarian-compat

%description
Gobby is a free collaborative editor supporting multiple documents in one
session and a multi-user chat. It runs on Microsoft Windows, Mac OS X, Linux
and other Unix-like platforms.

%prep
%setup -q -n gobby-%{version}
%patch0 -p1 -b .patch0
%patch1 -p1 -b .patch1
%patch2 -p1 -b .patch2
%patch3 -p1 -b .includes
# FIXME: Verify whether the executable flag is still there after the next upstream release
# The executable flag makes rpmlint unhappy
chmod a-x code/main.cpp


%build
%configure --with-gtk3
make %{?_smp_mflags}


%install
%make_install
%find_lang gobby05


%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gobby-0.5.desktop


%post
# Because of the MimeType key in the .desktop file
/usr/bin/update-desktop-database &> /dev/null || :
# Because Icons are installed
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f gobby05.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gobby-0.5
%{_datadir}/applications/gobby-0.5.desktop
%dir %{_datadir}/gobby-0.5/
%{_datadir}/gobby-0.5/icons/
%{_datadir}/icons/HighContrastLargePrint/48x48/apps/gobby-0.5.png
%{_datadir}/icons/HighContrastLargePrint/scalable/apps/gobby-0.5.svg
%{_datadir}/icons/HighContrastLargePrintInverse/48x48/apps/gobby-0.5.png
%{_datadir}/icons/HighContrastLargePrintInverse/scalable/apps/gobby-0.5.svg
%{_datadir}/icons/hicolor/48x48/apps/gobby-0.5.png
%{_datadir}/icons/hicolor/scalable/apps/gobby-0.5.svg
%{_mandir}/man1/gobby-0.5.1*
%doc %{_datadir}/gnome/help/gobby/
%doc %{_datadir}/omf/gobby/gobby-C.omf

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.94-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Till Maas <opensource@till.name> - 0.4.94-4
- Do not clean the buildroot in %%install
- Use %%make_install

* Thu Jul 11 2013 Till Maas <opensource@till.name> - 0.4.94-3
- Remove executable flag from source file

* Tue Jun 11 2013 Till Maas <opensource@till.name> - 0.4.94-2
- Add new patch to compile on Rawhide/F20
- Build GNOME docs

* Sun Jul 22 2012 Till Maas <opensource@till.name> - 0.4.94-1
- Initial spec for Fedora

